<template>
    <p class="center-input"><b>H</b>ITMan&nbsp;<b>I</b>nteractive&nbsp;<b>T</b>iling&nbsp;<b>Man</b>ipulation</p>
    <div class="header-footer-style">
      <select v-model="familyType.name" class="center">
        <option v-for="family in allFamiliesNames" :value="family">{{ family }}</option>
      </select>
    </div>
    <div v-if="false" >
      <!--Falls die jetzige Familie mehr als ein Kachelmuster hat-->
      <select v-model="pUnit" class="center">
        <option v-for="primUnit in currentFamily.parameters"></option>
      </select>
    </div>
    <!--Um die Fünfecke als fünfzehn canvasse im header anzeigen zu lassen-->
    <div v-if="false">
      <canvas ref="polygonCanvas" class="polygon-canvas"/>
    </div>
</template>

<script setup>
import {getFamilyByCombinedName} from "~/composables/useAllFamilies.js";
import {computed} from "vue";

const pUnit = ref(false)
const familyType = useFamilyTypeStore();
const allFamilies = useAllFamilies().sort((a,b) => a.id-b.id) //all daten über alle familien
const allFamiliesNames = allFamilies.map(family => family.explorer + family.id) //Für das Dropdownmenu
const scope = ref(null)
let currentFamily = computed(() => getFamilyByCombinedName(familyType.name)); //das jetzige familienobject mit allen daten und der validierungsfunktion

/**
 * Wenn eine Familie geändert wird, werden die Seitenlängen und Winkel woanders gespeichert und für die neue Familie
 * wird das Tiling angezeigt
 */
/*
watch((() => familyType.angles, () => familyType.strokes), () => {
  //TODO: Fünfeck wurde geändert, änder die Darstellung im Header
})
*/

onMounted(() => {
  //Hier die fünfecke für den Header rendern
})


</script>

<style scoped>
@import "../../main.css";
</style>
